// @ts-ignore

/* eslint-disable */
import { request } from 'umi';

export default {

  page(data) {
    data.isreport = true;
    return request(`/kitchorder/api/Order/ThirdOrderPage`, {
      method: 'Post',
      data: data,
    });
  },

  getThirdOrderInfo(data) {
    return request(`/kitchorder/api/Order/GetThirdOrderInfo?thirdOrderId=`+data, {
      method: 'get',
    });
  },





  /** 获取订单流水信息*/
  orderList(data) {
    data.isreport = true;
    return request(`/kitchorder/api/Order/PostDetail`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },

 /**
   * 查询店铺信息(设备信息)
   */
 srdList() {
  return request('/kitchbase/api/store/getstorelist', {
    method: 'GET'
  });
},

GetFlowExport(data) {
  return request(`/kitchorder/api/Order/GetFlowExport`, {
    method: 'Post',
    data: data
    
    // params: { ...params },
    // ...(options || {}),
  });
},

};


